WebM Codec SDK

Data Fields
vpx_rc_ref_frame Struct Reference

Control what ref frame to use and its index. More...

`#include <vpx_ext_ratectrl.h>`

## Data Fields
int | index [4]
vpx_rc_ref_name_t | name [4]

## Detailed Description

Control what ref frame to use and its index.

## Field Documentation

## ◆ index

int vpx_rc_ref_frame::index[4]

Ref frame index. Corresponding to |lst_fb_idx|, |gld_fb_idx| or |alt_fb_idx| in VP9_COMP depending on the ref frame name.

## ◆ name

vpx_rc_ref_name_t vpx_rc_ref_frame::name[4]

Ref frame name. This decides whether the index is used as |lst_fb_idx|, |gld_fb_idx| or |alt_fb_idx| in VP9_COMP.

The documentation for this struct was generated from the following file:

- vpx/vpx_ext_ratectrl.h